// $Id: uc_vat.js,v 1.1 2010/03/05 10:43:43 longwave Exp $

function updateCartPane() {
  var order = serializeOrder();

  if (!!order) {
    $.ajax({
      type: "POST",
      url: Drupal.settings.ucURL.updateCartPane,
      data: 'order=' + Drupal.encodeURIComponent(order),
      dataType: "json",
      success: function(data) {
        if (data.cart) {
          $('#cart_vat-pane div').html(data.cart);
        }
      }
    });
  }
}

$(function() {
  var progressBar = new Drupal.progressBar('uc_vat');
  progressBar.setProgress(-1);
  $('#cart_vat-pane div').html(progressBar.element);
  updateCartPane();

  $("select[name*=delivery_country], select[name*=billing_country]").change(function() {
    updateCartPane();
  });
});
